"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var dehydrate = function dehydrate(data, key) {
  return _react2.default.createElement("script", { dangerouslySetInnerHTML: { __html: "window." + key + " = " + data } });
}; /* globals ENVIRONMENT */


var Root = function Root(_ref) {
  var head = _ref.head,
      baseStyles = _ref.baseStyles,
      renderJSStyles = _ref.renderJSStyles,
      content = _ref.content,
      fetchCache = _ref.fetchCache,
      initialState = _ref.initialState,
      bundle = _ref.bundle;
  return _react2.default.createElement(
    "html",
    head.htmlAttributes.toComponent(),
    _react2.default.createElement(
      "head",
      null,
      head.title.toComponent(),
      head.meta.toComponent(),
      head.link.toComponent(),
      _react2.default.createElement("link", { rel: "apple-touch-icon", sizes: "57x57", href: "/apple-touch-icon-57x57.png" }),
      _react2.default.createElement("link", { rel: "apple-touch-icon", sizes: "60x60", href: "/apple-touch-icon-60x60.png" }),
      _react2.default.createElement("link", { rel: "apple-touch-icon", sizes: "72x72", href: "/apple-touch-icon-72x72.png" }),
      _react2.default.createElement("link", { rel: "apple-touch-icon", sizes: "76x76", href: "/apple-touch-icon-76x76.png" }),
      _react2.default.createElement("link", { rel: "apple-touch-icon", sizes: "114x114", href: "/apple-touch-icon-114x114.png" }),
      _react2.default.createElement("link", { rel: "apple-touch-icon", sizes: "120x120", href: "/apple-touch-icon-120x120.png" }),
      _react2.default.createElement("link", { rel: "apple-touch-icon", sizes: "144x144", href: "/apple-touch-icon-144x144.png" }),
      _react2.default.createElement("link", { rel: "apple-touch-icon", sizes: "152x152", href: "/apple-touch-icon-152x152.png" }),
      _react2.default.createElement("link", { rel: "apple-touch-icon", sizes: "180x180", href: "/apple-touch-icon-180x180.png" }),
      _react2.default.createElement("meta", { name: "apple-mobile-web-app-capable", content: "yes" }),
      _react2.default.createElement("meta", { name: "apple-mobile-web-app-status-bar-style", content: "black-translucent" }),
      _react2.default.createElement("meta", { name: "apple-mobile-web-app-title", content: head.title.toString() }),
      _react2.default.createElement("meta", { name: "mobile-web-app-capable", content: "yes" }),
      _react2.default.createElement("meta", { name: "theme-color", content: "#fff" }),
      _react2.default.createElement("meta", { name: "application-name", content: head.title.toString() }),
      _react2.default.createElement("meta", { name: "msapplication-TileColor", content: "#fff" }),
      _react2.default.createElement("meta", { name: "msapplication-TileImage", content: "mstile-144x144.png" }),
      _react2.default.createElement("meta", { name: "msapplication-config", content: "browserconfig.xml" }),
      _react2.default.createElement("link", { rel: "icon", type: "image/png", sizes: "32x32", href: "/favicon-32x32.png" }),
      _react2.default.createElement("link", { rel: "icon", type: "image/png", sizes: "192x192", href: "/android-chrome-192x192.png" }),
      _react2.default.createElement("link", { rel: "icon", type: "image/png", sizes: "16x16", href: "/favicon-16x16.png" }),
      _react2.default.createElement("link", { rel: "shortcut icon", href: "/favicon.ico" }),
      baseStyles && _react2.default.createElement("style", { dangerouslySetInnerHTML: { __html: baseStyles } }),
      renderJSStyles && _react2.default.createElement("style", { id: "stylesheet", dangerouslySetInnerHTML: { __html: renderJSStyles() } })
    ),
    _react2.default.createElement(
      "body",
      head.bodyAttributes.toComponent(),
      _react2.default.createElement("div", { id: "root", dangerouslySetInnerHTML: { __html: content } }),
      dehydrate("'" + ENVIRONMENT + "'", 'ENVIRONMENT'),
      initialState && dehydrate(JSON.stringify(initialState), 'INITIAL_STATE'),
      fetchCache && dehydrate(JSON.stringify(fetchCache), 'FETCH_CACHE'),
      head.script.toComponent(),
      _react2.default.createElement("script", { src: '/' + bundle })
    )
  );
};

exports.default = Root;