'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _reactHotLoader = require('react-hot-loader');

var _reactRedux = require('react-redux');

var _createBrowserHistory = require('history/createBrowserHistory');

var _createBrowserHistory2 = _interopRequireDefault(_createBrowserHistory);

var _configureStore = require('./configureStore');

var _configureStore2 = _interopRequireDefault(_configureStore);

var _cache = require('./cache');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var isClient = typeof window !== 'undefined'; /* global window, document */

var rehydrate = function rehydrate(key) {
  return isClient ? window[key] : {};
};

exports.default = function (AppComponent, customMiddleware) {
  isClient && (0, _cache.setCache)(rehydrate('FETCH_CACHE'));
  var store = isClient && (0, _configureStore2.default)((0, _createBrowserHistory2.default)(), rehydrate('INITIAL_STATE'), customMiddleware);

  (0, _reactDom.render)(_react2.default.createElement(
    _reactHotLoader.AppContainer,
    null,
    _react2.default.createElement(
      _reactRedux.Provider,
      { store: store },
      _react2.default.createElement(AppComponent, null)
    )
  ), document.getElementById('root'));
};