'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _redux = require('redux');

var _reduxLogger = require('redux-logger');

var _reduxLogger2 = _interopRequireDefault(_reduxLogger);

var _naglfar = require('naglfar');

var _naglfar2 = _interopRequireDefault(_naglfar);

var _sleipnir = require('sleipnir');

var _sleipnir2 = _interopRequireDefault(_sleipnir);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } } /* eslint-disable global-require */


var isArray = Array.isArray;

var clientDev = typeof document !== 'undefined' && process.env.NODE_ENV !== 'production';
var toArray = function toArray(arg) {
  return isArray(arg) ? arg : [arg];
};

exports.default = function (history, initialState) {
  var customMiddleware = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : [];

  var middleware = [_sleipnir.middleware, (0, _naglfar2.default)(history)].concat(_toConsumableArray(toArray(customMiddleware)), [clientDev && _reduxLogger2.default]).filter(Boolean);
  var createStoreWithMiddleware = _redux.applyMiddleware.apply(undefined, _toConsumableArray(middleware))(_redux.createStore);

  var store = createStoreWithMiddleware.apply(undefined, _toConsumableArray([_sleipnir2.default, (0, _sleipnir.getInitialState)(_extends({}, initialState, { location: (0, _naglfar.buildLocationState)(history.location) })), clientDev && window.__REDUX_DEVTOOLS_EXTENSION__ && window.__REDUX_DEVTOOLS_EXTENSION__()].filter(function (x) {
    return x;
  })));

  return store;
};