'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.cachedGet = exports.get = exports.post = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _axios = require('axios');

var _axios2 = _interopRequireDefault(_axios);

var _cache = require('./cache');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var IS_BROWSER = typeof window !== 'undefined';

var config = {
  credentials: 'same-origin',
  xsrfCookieName: 'x-csrf',
  xsrfHeaderName: 'x-csrf'
};

var getCookie = function getCookie(name) {
  var match = document.cookie.match(new RegExp(name + '=([^;]+)'));
  return match && match.length > 1 ? match[1] : '';
};

if (IS_BROWSER) {
  _axios2.default.defaults.headers.post[config.xsrfHeaderName] = getCookie(config.xsrfCookieName);
}

var getData = function getData(_ref) {
  var data = _ref.data;
  return data;
};
var setCSRFHeader = function setCSRFHeader(res) {
  _axios2.default.defaults.headers.post[config.xsrfHeaderName] = res.headers[config.xsrfHeaderName];
  return res;
};
var post = exports.post = function post(url, data, options) {
  return _axios2.default.post(url, data, _extends({}, config, options)).then(getData);
};
var get = exports.get = function get(url, options) {
  return _axios2.default.get(url, _extends({}, config, options)).then(setCSRFHeader).then(getData);
};
var cachedGet = exports.cachedGet = IS_BROWSER ? (0, _cache.fetchCache)(get) : get;